Home

# Class goog.ds.XmlHttpDataSource

Data source whose backing is an XMLHttpRequest, A URI of an empty string will mean that no request is made and the data source will be a single, empty node.

extends goog.ds.XmlDataSource

Instance Method Summary
| `complete_(!goog.events.Event e)` Handles the completion of an XhrIo request. Dispatches to success or load based on the result.
| `failure_()` Failure result
| `getLoadState() ⇒ ?goog.ds.LoadState` Gets the state of the backing data for this node
| `load()` Load or reload the backing data for this node. Fires the XMLHttpRequest
| `success_(!goog.net.XhrIo xhr)` Success result. Checks whether valid XML was returned and sets the XML and loadstate.